#!/bin/sh

test_description="Check that failed build is still OOD target"
. $SHARNESS_TEST_SRCDIR/sharness.sh
export REDO_TOP_DIR="`pwd`" REDO_NO_PROGRESS=1

echo exit 1 >bar.do
echo redo-ifchange bar >foo.do
test_expect_success "first fail" 'redo foo ; [ $? = 1 ]'
test_expect_success "second fail" 'redo foo ; [ $? = 1 ]'

test_done
